## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate libgit2-sys
%global upstream_version 0.12.21+1.1.0

Name:           rust-%{crate}0.12
Version:        0.12.21
Release:        %autorelease
Summary:        Native bindings to the libgit2 library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libgit2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Initial patched metadata
# * Remove libgit2 version from version field
Patch0:         libgit2-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Native bindings to the libgit2 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       (pkgconfig(libgit2) >= 1.1.0 with pkgconfig(libgit2) < 2.0.0)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages which
use the "https" feature of the "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libssh2-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libssh2-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libssh2-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libssh2-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh" feature of the "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh_key_from_memory" feature of the "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# remove bundled dependencies
rm -vr libgit2/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo '(pkgconfig(libgit2) >= 1.1.0 with pkgconfig(libgit2) < 2.0.0)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 08 2022 Fabio Valentini <decathorpe@gmail.com> 0.12.21-1
- Initial import (libgit2-sys 0.12 compat package)
